<div class="col-md-6 submit-form colonne-centree">
  <div *ngIf="!submitted">
    <form class="colonne-centree" id="ajout" #f="ngForm" style="margin-top: 5px; margin-block: unset; 
                background-color: #ffffff;
                padding-right: 100px;
                padding-left: 100px;
                padding-top: 80px;
                width: 1000px;
                border-radius: 15px;">

      <!-- Div 1 nomproduit-->
      <div class="form-group" style="margin-bottom: 10px; ">
        <div class="input-group">
          <label class="input-group-addon" for="nomproduit" style="margin-bottom: 15px; font-size: 25px;">
            <strong>Nom Produit</strong>
          </label>
          <input type="text" class="form-control" id="nomproduit" required [(ngModel)]="produit.nomproduit"
            name="nomproduit" placeholder="nomproduit" maxlength="10" minlength="2" #nomproduit="ngModel" />

          <div class="alert-danger" *ngIf="f.submitted && nomproduit.invalid">
            <div *ngIf="nomproduit.errors.required">La nom produit est obligatoire</div>
            <div *ngIf="nomproduit.errors.minlength">Le nom produit doit comporter au moins 2 caractères</div>
            <div *ngIf="nomproduit.errors.maxlength">Le nom produit doit comporter au maximum 20 caractères</div>
          </div>
        </div>

        <!-- Div 2 tests-->
        <div class="form-group" style="margin-bottom: 10px;">
          <div class="input-group" id="ajout">
            <label class="input-group-addon" for="tests" style="margin-bottom: 15px; font-size: 25px;">
              <strong> Tests</strong>
            </label>
            <!-- erreurr dans l'ajout de test-->
            <ng-select multiple="true" id="select" style="height: 150px;" 
            required [(ngModel)]="produit.tests" name="tests" id="tests" class="form-control ">
              
              <ng-option selected  id="select" value="usb2"> usb2 </ng-option>
              <ng-option id="select" value="usb3"> usb3 </ng-option>
              <ng-option id="select" value="eth"> eth </ng-option>
              <ng-option selected id="select" value="usb2"> usb1 </ng-option>

            </ng-select>
           <!-- <select multiple id="select" style="height: 50px;"
            required [(ngModel)]="produit.tests" name="tests" id="tests"
              class="form-control ">
              <option selected id="select" value="usb2"> usb2 </option>
              <option id="select" value="usb3"> usb3 </option>
              <option id="select" value="eth"> eth </option>
            </select>-->
          </div>
        </div>

        
        <div class="col-md-6  colonne-centree1">
          <button (click)="saveProduit()" class="btn btn-success"
            style="font-size: larger;margin-left: 50px; margin-bottom: 50px; padding-left: 28px; padding-right: 28px;">
            Ajouter un produit
          </button>
        </div>
        <div style="padding-top: 20px; font-size: larger; border-radius: 80px;"  class="form-group">
          <div class="alert alert-danger" role="alert" *ngIf="f.submitted && isAjoutFailed">
            échec d'ajout : {{ errorMessage }}
          </div>
        </div>
      </div>  
    </form>
  </div>
</div>

<!--alerte:AJOUT SUCCED-->
<div class="col-md-4 colonne-centree " *ngIf="submitted">
  <h2 class="alert alert-sucess " style="text-align: center;
             font-family: 'Times New Roman', Times, serif; 
             font-size: 100px; background-color: #ffffffff; 
              margin-top: 20px;  height: 100px; font-size: larger; height: 100px; border-radius: 80px;" role="alert">
    Vous ajouter un produit avec succès!</h2>
  <button class="btn btn-success" style="margin-top: 10px;padding-left: 80px; width: 220px; " (click)="newProduit()">
    Ajouter un autre produit</button>
  <button class="btn btn-success " style="margin-top: 10px; width: 220px; " (click)="onSubmit()">
    Liste des produits</button>
</div>